<?php

include('func.php');
include('func_recogn.php');
include('func_comp.php');

header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s", 10000) . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

if(!@set_time_limit(0)){
	if(@function_exists('ini_set'))@ini_set('max_execution_time',0);
	elseif(@function_exists('ini_alter'))@ini_alter('max_execution_time',0);
	else die();

	if(@function_exists('ini_get')){
		if(@ini_get('max_execution_time')!='0')die();
	}
}

//Генерация капчи для примера
$image=(GenCaptcha(GenRandStr()));

$mask=RecogGenMonohromeMaskImage($image);
$image=imagemerge($image, RecogMaskToImage($mask));

//Определеяем фрагмент с надписью
if(!RecogSpotGetXY($mask, $x0, $y0, $x1, $y1)){
	imagepngout(imagemerge(image_string('Ошибка границ'), RecogMaskToImage($mask)));
}

$width=$x1-$x0;
$height=$y1-$y0;

if($width<50){
	imagepngout(imagemerge(image_string('Error: width='.$width), RecogMaskToImage($mask)));
}

if($width>80){
	imagepngout(imagemerge(image_string('Error: width='.$width), RecogMaskToImage($mask)));
}

if($height<15){
	imagepngout(imagemerge(image_string('Error: height='.$height), RecogMaskToImage($mask)));
}

//Вырезаем определенный фрагмент с надписью
$mask=RecogCutMask($mask, $x0, $y0, $x1, $y1);


$image=imagemerge($image, RecogMaskToImage($mask));


//Разбиваем маску на несколько отдельных фрагментов масок символов
$sumb_cnt=RecogGetCountSumbols($mask);

$sumbols=RecogExplodeSumbols($mask, $sumb_cnt);

$sumbols=RecogSumbolsNormilize($sumbols);

//Загружаем локальное хранилище известных масок
LoadAllMasks();

//Распознаем капчу по одному символу
$str='';
for($i=0; $i<count($sumbols); $i++){
	$sumb=RecogMaskToImage($sumbols[$i]);
	$image=imagemerge($image, $sumb);

	$char=CompSumbolsGetChar($sumbols[$i]);

	$image=imagemerge($image, image_string($char));
	$str.=$char;
}

$image=imagemerge($image, image_string('Код: '.$str));
imagepngout($image);
?>